#global prerel RC5

# %%posttrans is available from FC-4, EL-5 onwards
%global have_posttrans %(expr 0%{?fedora} '>' 3 '|' 0%{?rhel} '>' 4)

Summary:	Waveform Viewer
Name:		gtkwave
Version:	3.3.20
Release:	%{?prerel:0.}1%{?prerel:.%{prerel}}%{?dist}
License:	GPLv2+
Group:		Applications/Engineering
URL:		http://gtkwave.sourceforge.net/
Source0:	http://gtkwave.sourceforge.net/gtkwave-%{version}%{?prerel}.tar.gz
Source1:	gtkwave.desktop
Source2:	gtkwave-16.png
Source3:	gtkwave-32.png
Source4:	gtkwave-48.png
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	gtk2-devel, bzip2-devel, Judy-devel, xz-devel, zlib-devel
BuildRequires:	gperf, flex, desktop-file-utils
%if 0%{?fedora} > 1 || 0%{?rhel} > 3
# BR: /usr/include/tcl.h rather than tcl-devel for compatibility with
# old releases prior to tcl-devel split
BuildRequires:	/usr/include/tcl.h /usr/include/tk.h
# We need tcl >= 8.4 (FC-2 onwards)
BuildRequires:	tcl >= 8.4
%endif

%description
GTKWave is a waveform viewer that can view VCD files produced by most Verilog
simulation tools, as well as LXT files produced by certain Verilog simulation
tools.

%prep
%setup -q -n gtkwave-%{version}%{?prerel}
%{__cp} -p .gtkwaverc gtkwaverc.sample

%build
%{configure} --disable-dependency-tracking \
%if 0%{?fedora} < 2 && 0%{?rhel} < 4
	--disable-tcl \
%endif
	--enable-judy
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} install \
	DESTDIR=%{buildroot} \
	pkgdatadir=%{_docdir}/gtkwave-%{version} \
	INSTALL="%{__install} -p"

# Icons and desktop entry
/usr/bin/desktop-file-install --vendor "" --dir %{buildroot}%{_datadir}/applications %{SOURCE1}
%{__install} -D -m 644 -p %{SOURCE2} %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/gtkwave.png
%{__install} -D -m 644 -p %{SOURCE3} %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/gtkwave.png
%{__install} -D -m 644 -p %{SOURCE4} %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/gtkwave.png

# Include extra docs
for extradoc in \
	gtkwaverc.sample \
	ANALOG_README.TXT \
	CHANGELOG.TXT \
	GNU.TXT \
	LICENSE.TXT \
	MIT.TXT \
	SYSTEMVERILOG_README.TXT
do
	%{__install} -p -m 644 ${extradoc} %{buildroot}%{_docdir}/gtkwave-%{version}/
done

%clean
%{__rm} -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
	touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
	gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%if %{have_posttrans}
%posttrans
# Note that icon cache updates are only needed on FC-4, EL-5 and later, and
# %%posttrans is always available on FC-4, EL-5 and later
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
%endif

%files
%defattr(-,root,root,-)
%doc %{_docdir}/gtkwave-%{version}/
%{_bindir}/evcd2vcd
%{_bindir}/fst2vcd
%{_bindir}/ghwdump
%{_bindir}/gtkwave
%{_bindir}/lxt2miner
%{_bindir}/lxt2vcd
%{_bindir}/rtlbrowse
%{_bindir}/shmidcat
%{_bindir}/twinwave
%{_bindir}/vcd2fst
%{_bindir}/vcd2lxt
%{_bindir}/vcd2lxt2
%{_bindir}/vcd2vzt
%{_bindir}/vermin
%{_bindir}/vzt2vcd
%{_bindir}/vztminer
%{_datadir}/applications/gtkwave.desktop
%{_datadir}/icons/hicolor/16x16/apps/gtkwave.png
%{_datadir}/icons/hicolor/32x32/apps/gtkwave.png
%{_datadir}/icons/hicolor/48x48/apps/gtkwave.png
%{_mandir}/man1/evcd2vcd.1*
%{_mandir}/man1/fst2vcd.1*
%{_mandir}/man1/ghwdump.1*
%{_mandir}/man1/gtkwave.1*
%{_mandir}/man1/lxt2miner.1*
%{_mandir}/man1/lxt2vcd.1*
%{_mandir}/man1/rtlbrowse.1*
%{_mandir}/man1/shmidcat.1*
%{_mandir}/man1/twinwave.1*
%{_mandir}/man1/vcd2fst.1*
%{_mandir}/man1/vcd2lxt.1*
%{_mandir}/man1/vcd2lxt2.1*
%{_mandir}/man1/vcd2vzt.1*
%{_mandir}/man1/vermin.1*
%{_mandir}/man1/vzt2vcd.1*
%{_mandir}/man1/vztminer.1*
%{_mandir}/man5/gtkwaverc.5*

%changelog
* Fri Feb 25 2011 Paul Howarth <paul@city-fan.org> 3.3.20-1
- update to 3.3.20
  - fixed uninitialized mat variable in compress_facility()
  - added --slider-zoom option to gtkwave to enable experimental horizontal
    slider zoom feature with GTK2
  - fix vcd2fst so it can handle zero-length VCD event variables in their
    declarations

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.3.19-1.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Feb  7 2011 Paul Howarth <paul@city-fan.org> 3.3.19-1
- update to 3.3.19
  - more sanity checking in vcd2fst to prevent crashes on malformed files
  - rewrote support for compressed signal handling (FST only)
  - shmidcat now exits on EOF
  - added sys_fst.c VPI source for NC Verilog and XL
  - added component typename dumping into sys_fst.c so that NC can dump
    component names
  - added component type names in gtk2 tree (only used by FST so far)
  - memory usage improvements on 64-bit architectures
  - fixed top/bottom pane resizing bug after reload in SST window
  - fixed crashes in hierarchy search widget for GHW where standard, textio,
    std_logic_1164, etc. were selectable
  - fixed reload scroll position for bottom TreeView in SST window

* Wed Dec 29 2010 Paul Howarth <paul@city-fan.org> 3.3.18-1
- update to 3.3.18
  - minor bug fixes for corner cases
  - assembler fixes for x86_64
  - preliminary support for variable length records in FST files
  - added fstUtilityBinToEsc and fstUtilityEscToBin for conversion of binary
    data to C-style strings
  - allow escaped strings in VCD files to encode a richer set of data for
    non-standard "s" VCD records
  - to comply with fst2vcd, vcd readers now handle "string" variable type
    keyword
  - add detection for Verilog XL-style VCD identifiers in all VCD loaders in
    gtkwave in order to aid in indexing
  - more warnings fixes
  - fix mif_draw_string so it does not emit escaped character codes

* Mon Nov 29 2010 Paul Howarth <paul@city-fan.org> 3.3.17-1
- update to 3.3.17
  - added sanity check in dynamic alias reconstruct routine in FST reader and
    also fixed bug where alias reconstruction in current blocks doesn't
    overwrite previous, old block data

* Thu Nov 25 2010 Paul Howarth <paul@city-fan.org> 3.3.16-1
- update to 3.3.16
  - remove unused JError variables and replace with PJE0 macro
  - added experimental dynamic alias detection in fst writer when building
    with Judy support
  - added Jenkins hash routine to enable dynamic alias detection when Judy
    support is not available

* Thu Nov 11 2010 Paul Howarth <paul@city-fan.org> 3.3.15-1
- update to 3.3.15
  - fixes for fstapi file reading and writing
  - add detection in vcd2fst for Verilog XL-style VCD identifiers
  - the --optimize flag now uses fst instead of lxt2 as its default file format

* Wed Oct 27 2010 Paul Howarth <paul@city-fan.org> 3.3.14-1
- update to 3.3.14
  - fixes for experimental dynamic SST building code and compiler warnings
  - allow VCD files with start time = end time
  - add preliminary RPC mechanism
  - add configure --disable-inline-asm build option
  - add initial_signal_window_width rc variable

* Tue Oct 26 2010 Paul Howarth <paul@city-fan.org> 3.3.13-3
- rebuild for liblzma.so.5

* Fri Oct  1 2010 Paul Howarth <paul@city-fan.org> 3.3.13-2
- rebuild for gcc bug (#634757)

* Mon Sep 27 2010 Paul Howarth <paul@city-fan.org> 3.3.13-1
- update to 3.3.13
  - improve memory utilization on 32-bit architectures
  - add warnings for options that are non-functional for some configurations
  - reduce memory usage during file init for lxt2, vzt, and fst files
  - sparse versus non-sparse array crash fix for ae2 loader
  - fix tree build for fst when compressed facs are being used
  - make printed waves the same as viewed waves
  - add experimental dynamic SST building code (speedup for large trees)

* Mon Sep  6 2010 Paul Howarth <paul@city-fan.org> 3.3.12-1
- update to 3.3.12
  - fix for --disable-tcl or systems that do not have Tcl installed
  - add support for process and transaction filters in MinGW
  - add support for Open New Window to MinGW
- drop non-Tcl build patch, no longer needed

* Wed Aug 18 2010 Paul Howarth <paul@city-fan.org> 3.3.11-1
- update to 3.3.11
  - new tcl function: gtkwave::installFileFilter
  - new tcl function: gtkwave::installProcFilter
  - new tcl function: gtkwave::installTransFilter
  - new tcl function: gtkwave::setCurrentTranslateFile
  - new tcl function: gtkwave::setCurrentTranslateProc
  - new tcl function: gtkwave::setCurrentTranslateTransProc
  - new tcl function: gtkwave::setCurrentTranslateEnums
  - nested `ifdef fix for Vermin
  - fix for free to non-malloc'd address problem in repscripts
  - start to build a framework to support Tcl variable change callbacks
  - fix for 0 millisecond Tcl timer causing 100% CPU usage
  - add CVS versus ModelSim compatibility fixes for Bluespec savefiles
  - fix atoi_64 in presence of some garbage non-numerics
- add patch to fix building without Tcl
- explicitly disable Tcl where it won't build

* Sun Jul 18 2010 Paul Howarth <paul@city-fan.org> 3.3.10-1
- update to 3.3.10
  - parallel build fix
  - fix free of non-malloc'd address due to context changing in Tcl scripts
  - updated vcd2fst so it is compatible with VerilatedVcd writer
  - read hierarchy reconstruction hardening in fstapi.c
  - check return code for hierarchy generation in fst2vcd.c
  - updated example to reflect Quit name change
  - updated repscript_timer so it prints stack trace

* Wed Jul  7 2010 Paul Howarth <paul@city-fan.org> 3.3.9-1
- update to 3.3.9
  - changed accelerator for Quit to conform to Gnome guidelines
  - fix crash that can occur in RemoveTrace
- disable parallel build for now

* Sat Jun 26 2010 Paul Howarth <paul@city-fan.org> 3.3.8-1
- update to 3.3.8
  - add failure check on tempfile creation in fstReaderInit()
  - add strace_repeat_count and an appropriate menu option
  - add drag-and-drop of signals from gtkwave into rtlbrowse
  - remove the "/File/Quit/Don't Quit" menu item if "fast exit" is enabled
  - more warnings cleanups

* Sun Jun  6 2010 Paul Howarth <paul@city-fan.org> 3.3.7-1
- update to 3.3.7 (general bug and compiler warning fixes)
- -n option not needed in desktop file

* Tue May  4 2010 Paul Howarth <paul@city-fan.org> 3.3.6-1
- update to 3.3.6 (see CHANGELOG.TXT for details)
- add desktop file and icons based on Mandriva package
- BR: desktop-file-utils
- add scriptlets to update icon cache
- no longer need to fix permissions of lzma wrapper code

* Sat Mar 20 2010 Paul Howarth <paul@city-fan.org> 3.3.5-1
- update to 3.3.5 (see CHANGELOG.TXT for details)
- add Judy-devel buildreq for improved memory usage efficiency

* Mon Mar  8 2010 Paul Howarth <paul@city-fan.org> 3.3.4-1
- update to 3.3.4 (see CHANGELOG.TXT for details)

* Fri Feb 19 2010 Paul Howarth <paul@city-fan.org> 3.3.3-1
- update to 3.3.3
- drop upstreamed dlopen linking patch
- drop obsolete helper apps mvl2lxt, mvl2vcd, tex2vcd and tla2vcd

* Mon Feb 15 2010 Paul Howarth <paul@city-fan.org> 3.3.2-2
- fix FTBFS due to missing -ldl linking for dlopen function (#565173)

* Tue Jan  5 2010 Paul Howarth <paul@city-fan.org> 3.3.2-1
- update to 3.3.2 (speed up operation on networked filesystems)

* Sat Dec 26 2009 Paul Howarth <paul@city-fan.org> 3.3.0-1
- update to 3.3.0
- added tk support
- bundled old liblzma replaced by system xz (add BR: xz-devel)
- tcl/tk support require Fedora >= 2 or RHEL >= 4 (tcl 8.4)

* Fri Sep  4 2009 Paul Howarth <paul@city-fan.org> 3.2.3-1
- update to 3.2.3
- fix permissions in bundled liblzma for debuginfo

* Thu Aug  6 2009 Paul Howarth <paul@city-fan.org> 3.2.2-3
- drop patch for #515672, not needed with gcc 4.4.1-4

* Thu Aug  6 2009 Paul Howarth <paul@city-fan.org> 3.2.2-2
- add patch to work around #515672 (internal compiler error on PPC)

* Wed Aug  5 2009 Paul Howarth <paul@city-fan.org> 3.2.2-1
- update to 3.2.2 (new tools evcd2vcd/fst2vcd/vcd2fst)
- drop print-to-file patch, no longer needed

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.1-2.1
- rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul 15 2009 Paul Howarth <paul@city-fan.org> 3.2.1-2
- add upstream patch for crash on print to file (#511858)

* Tue Apr 14 2009 Paul Howarth <paul@city-fan.org> 3.2.1-1
- update to 3.2.1

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> 3.2.0-1.1
- rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 17 2009 Paul Howarth <paul@city-fan.org> 3.2.0-1
- update to 3.2.0

* Mon Feb  2 2009 Paul Howarth <paul@city-fan.org> 3.2.0-0.2.RC5
- update to 3.2.0RC5

* Fri Jan 29 2009 Paul Howarth <paul@city-fan.org> 3.2.0-0.1.RC4
- update to 3.2.0RC4 (#481264)
- new upstream URLs
- buildreq /usr/include/tcl.h for embedded tcl support

* Thu Aug 21 2008 Paul Howarth <paul@city-fan.org> 3.1.13-1
- update to 3.1.13

* Mon Jul 14 2008 Paul Howarth <paul@city-fan.org> 3.1.12-1
- update to 3.1.12

* Thu Jun 19 2008 Paul Howarth <paul@city-fan.org> 3.1.11-1
- update to 3.1.11

* Thu May 15 2008 Paul Howarth <paul@city-fan.org> 3.1.10-1
- update to 3.1.10

* Tue Apr 22 2008 Paul Howarth <paul@city-fan.org> 3.1.9-1
- update to 3.1.9

* Mon Apr  7 2008 Paul Howarth <paul@city-fan.org> 3.1.8-1
- update to 3.1.8

* Tue Mar 25 2008 Paul Howarth <paul@city-fan.org> 3.1.7-1
- update to 3.1.7

* Wed Feb 27 2008 Paul Howarth <paul@city-fan.org> 3.1.6-1
- update to 3.1.6

* Fri Feb  1 2008 Paul Howarth <paul@city-fan.org> 3.1.4-1
- update to 3.1.4

* Tue Jan 15 2008 Paul Howarth <paul@city-fan.org> 3.1.3-1
- update to 3.1.3

* Wed Jan  2 2008 Paul Howarth <paul@city-fan.org> 3.1.2-1
- update to 3.1.2

* Fri Sep 28 2007 Paul Howarth <paul@city-fan.org> 3.1.1-1
- update to 3.1.1

* Tue Sep  4 2007 Paul Howarth <paul@city-fan.org> 3.1.0-1
- update to 3.1.0

* Fri Aug 24 2007 Paul Howarth <paul@city-fan.org> 3.0.30-3
- clarify license as GPL, version 2 or later

* Fri Jul 27 2007 Paul Howarth <paul@city-fan.org> 3.0.30-1
- update to 3.0.30

* Fri Jun  8 2007 Paul Howarth <paul@city-fan.org> 3.0.29-1
- update to 3.0.29
- spec file much-simplified as gtkwave is now fully autotooled
- try to retain upstream timestamps as far as possible
- use parallel make

* Tue May  1 2007 Paul Howarth <paul@city-fan.org> 3.0.28-1
- update to 3.0.28
- update source URL to master source

* Mon Apr 30 2007 Paul Howarth <paul@city-fan.org> 3.0.27-1
- update to 3.0.27
- rename "vertex" to "vermin" to avoid conflict with Vertex 3D Model Assembler
  (http://wolfpack.twu.net/Vertex/index.html)

* Fri Apr 20 2007 Paul Howarth <paul@city-fan.org> 3.0.26-1
- update to 3.0.26

* Wed Apr 11 2007 Paul Howarth <paul@city-fan.org> 3.0.25-1
- update to 3.0.25

* Thu Apr  5 2007 Paul Howarth <paul@city-fan.org> 3.0.24-1
- update to 3.0.24

* Tue Mar 20 2007 Paul Howarth <paul@city-fan.org> 3.0.23-1
- update to 3.0.23

* Mon Feb 26 2007 Paul Howarth <paul@city-fan.org> 3.0.22-1
- update to 3.0.22

* Mon Feb  5 2007 Paul Howarth <paul@city-fan.org> 3.0.21-1
- update to 3.0.21

* Wed Jan 24 2007 Paul Howarth <paul@city-fan.org> 3.0.20-1
- update to 3.0.20

* Tue Jan  2 2007 Paul Howarth <paul@city-fan.org> 3.0.19-1
- update to 3.0.19

* Tue Dec  5 2006 Paul Howarth <paul@city-fan.org> 3.0.18-1
- update to 3.0.18

* Tue Nov 28 2006 Paul Howarth <paul@city-fan.org> 3.0.17-1
- update to 3.0.17

* Tue Nov 14 2006 Paul Howarth <paul@city-fan.org> 3.0.16-1
- update to 3.0.16

* Mon Oct 30 2006 Paul Howarth <paul@city-fan.org> 3.0.15-1
- update to 3.0.15

* Wed Oct 18 2006 Paul Howarth <paul@city-fan.org> 3.0.14-1
- update to 3.0.14

* Mon Oct  9 2006 Paul Howarth <paul@city-fan.org> 3.0.13-1
- update to 3.0.13

* Tue Oct  3 2006 Paul Howarth <paul@city-fan.org> 3.0.12-2
- rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Fri Sep 22 2006 Paul Howarth <paul@city-fan.org> 3.0.12-1
- update to 3.0.12
- create dummy libz/libbz2 Makefile.in files to ensure that config.h gets
  generated

* Thu Sep 14 2006 Paul Howarth <paul@city-fan.org> 3.0.11-1
- update to 3.0.11

* Mon Aug 21 2006 Paul Howarth <paul@city-fan.org> 3.0.10-1
- update to 3.0.10

* Fri Aug 11 2006 Paul Howarth <paul@city-fan.org> 3.0.9-1
- update to 3.0.9
- tarball is now .tar.gz rather than .tgz

* Mon Aug  7 2006 Paul Howarth <paul@city-fan.org> 3.0.8-1
- update to 3.0.8
- new program and manpage: shmidcat

* Fri Jul 21 2006 Paul Howarth <paul@city-fan.org> 3.0.7-1
- update to 3.0.7
- new program and manpage: twinwave

* Mon Jul 17 2006 Paul Howarth <paul@city-fan.org> 3.0.6-1
- update to 3.0.6

* Wed Jun 28 2006 Paul Howarth <paul@city-fan.org> 3.0.5-1
- update to 3.0.5
- new program and manpage: ghwdump

* Fri Jun  2 2006 Paul Howarth <paul@city-fan.org> 3.0.4-1
- update to 3.0.4

* Tue May 30 2006 Paul Howarth <paul@city-fan.org> 3.0.3-1
- update to 3.0.3

* Sun May 28 2006 Paul Howarth <paul@city-fan.org> 3.0.2-2
- adding missing buildreq flex

* Wed May 10 2006 Paul Howarth <paul@city-fan.org> 3.0.2-1
- update to 3.0.2

* Tue May  9 2006 Paul Howarth <paul@city-fan.org> 3.0.1-1
- update to 3.0.1

* Tue May  2 2006 Paul Howarth <paul@city-fan.org> 3.0.0-1
- update to 3.0.0
- add examples directory as %%doc
- add new buildreq gperf
- tweak Makefile.in edits to handle Makefiles under contrib/
- add new binaries rtlbrowse and vertex
- add new manpages for rtlbrowse, vertex, and gtkwaverc
- %%{_mandir} no longer needs to be created manually
- configure script now accepts --libdir

* Tue Mar  7 2006 Paul Howarth <paul@city-fan.org> 1.3.86-1
- update to 1.3.86

* Mon Feb 27 2006 Paul Howarth <paul@city-fan.org> 1.3.85-1
- update to 1.3.85

* Tue Feb 21 2006 Paul Howarth <paul@city-fan.org> 1.3.84-1
- update to 1.3.84
- INSTALL now called INSTALL.TXT

* Thu Feb 16 2006 Paul Howarth <paul@city-fan.org> 1.3.83-2
- rebuild

* Tue Jan 31 2006 Paul Howarth <paul@city-fan.org> 1.3.83-1
- update to 1.3.83

* Thu Jan 19 2006 Paul Howarth <paul@city-fan.org> 1.3.82-1
- update to 1.3.82

* Tue Dec 13 2005 Paul Howarth <paul@city-fan.org> 1.3.81-1
- update to 1.3.81

* Sun Nov 27 2005 Paul Howarth <paul@city-fan.org> 1.3.80-1
- update to 1.3.80

* Wed Nov 23 2005 Paul Howarth <paul@city-fan.org> 1.3.79-2
- fix file permissions in debuginfo package

* Mon Nov 21 2005 Paul Howarth <paul@city-fan.org> 1.3.79-1
- update to 1.3.79

* Wed Nov  9 2005 Paul Howarth <paul@city-fan.org> 1.3.78-1
- update to 1.3.78

* Tue Nov  8 2005 Paul Howarth <paul@city-fan.org> 1.3.77-1
- update to 1.3.77
- GHDL ghw support now included upstream, so remove patches

* Mon Nov  7 2005 Paul Howarth <paul@city-fan.org> 1.3.76-3
- clean up for Fedora Extras:
  - don't support GTK1 builds
  - unconditionally remove buildroot in %%clean and %%install
  - remove redundant glib2-devel buildreq
  - add dist tag

* Mon Nov  7 2005 Thomas Sailer <t.sailer@alumni.ethz.ch> - 1.3.76-2
- add GHDL ghw support

* Thu Oct 27 2005 Paul Howarth <paul@city-fan.org> 1.3.76-1
- update to 1.3.76

* Thu Oct 13 2005 Paul Howarth <paul@city-fan.org> 1.3.73-1
- update to 1.3.73

* Mon Oct 10 2005 Paul Howarth <paul@city-fan.org> 1.3.72-1
- update to 1.3.72

* Fri Oct  7 2005 Paul Howarth <paul@city-fan.org> 1.3.71-1
- update to 1.3.71

* Thu Sep 15 2005 Paul Howarth <paul@city-fan.org> 1.3.70-1
- update to 1.3.70
- new program tla2vcd (with manpage)

* Mon Sep  5 2005 Paul Howarth <paul@city-fan.org> 1.3.69-1
- update to 1.3.69
- honour %%{optflags}
- use system bzip and zlib libraries

* Fri Sep  2 2005 Paul Howarth <paul@city-fan.org> 1.3.68-1
- update to 1.3.68

* Wed Aug 25 2005 Paul Howarth <paul@city-fan.org> 1.3.67-1
- update to 1.3.67

* Wed Aug 10 2005 Paul Howarth <paul@city-fan.org> 1.3.64-1
- update to 1.3.64
- new programs lxt2miner & vztminer (with manpages)

* Tue Jul 26 2005 Paul Howarth <paul@city-fan.org> 1.3.63-1
- update to 1.3.63

* Mon Jul 11 2005 Paul Howarth <paul@city-fan.org> 1.3.62-1
- update to 1.3.62

* Thu Apr 21 2005 Paul Howarth <paul@city-fan.org> 1.3.58-1
- update to 1.3.58
- include sample .gtkwaverc in doc area
- update URL to point to new project home page

* Wed Apr 13 2005 Paul Howarth <paul@city-fan.org> 1.3.57-1
- update to 1.3.57
- add support for building with gtk version 1 (build using: --without gtk2)

* Tue Apr 12 2005 Paul Howarth <paul@city-fan.org> 1.3.56-1
- initial RPM build
